using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameEventManager
{
    public static event Action OnJumpReady;

    public static void JumpReady()
    {
        Debug.Log("JUMP READY");
        if(OnJumpReady != null)
            OnJumpReady();
    }

    public static event Action OnHyperspaceJump;

    public static void HyperspaceJump()
    {
        Debug.Log("JUMP");
        if(OnHyperspaceJump != null)
            OnHyperspaceJump();
    }

    public static event Action OnJumpEnd;

    public static void JumpEnd()
    {
        Debug.Log("JUMP END");
        if(OnJumpEnd != null)
            OnJumpEnd();
    }
}
